
--- rxvt-2.6.3/src/logging.c.utmpfix	Sat May 12 17:12:23 2001
+++ rxvt-2.6.3/src/logging.c	Sat May 12 17:29:12 2001
@@ -30,7 +30,8 @@
 /*----------------------------------------------------------------------*
  * Public:
  *	extern void cleanutent (void);
- *	extern void makeutent (const char * pty, const char * hostname);
+ *	extern void makeutent (const char * pty, const char * hostname,
+ *			       int master_fd);
  *
  * Private:
  *	write_utmp ();
@@ -99,9 +100,9 @@
  */
 /* EXTPROTO */
 void
-makeutent(const char *pty, const char *hostname)
+makeutent(const char *pty, const char *hostname, int master_fd)
 {
-    addToUtmp(pty, NULL, 2);
+    addToUtmp(pty, NULL, master_fd);
 }
 #endif				/* UTMP_SUPPORT */
 
--- rxvt-2.6.3/src/command.c.utmpfix	Sat May 12 17:12:23 2001
+++ rxvt-2.6.3/src/command.c	Sat May 12 17:29:44 2001
@@ -831,7 +831,7 @@
 #ifdef UTMP_SUPPORT
     if (!(Options & Opt_utmpInhibit)) {
 	privileges(RESTORE);
-	makeutent(ttydev, rs[Rs_display_name]);		/* stamp /etc/utmp */
+	makeutent(ttydev, rs[Rs_display_name], cmd_fd);	/* stamp /etc/utmp */
 	privileges(IGNORE);
     }
 #endif
